# constructor

fun constructor (): ConstructorCondition < T >

Start a new constructor reflection.

#### Return

ConstructorCondition

fun constructor (condition: ConstructorCondition < T >): List < ConstructorResolver < T >>

Start a new constructor reflection.

#### Return

ConstructorResolver

#### Parameters

condition

the condition.

#### See also

KavaRef.MemberScope.firstConstructor
KavaRef.MemberScope.firstConstructorOrNull

inline fun constructor (condition: ConstructorCondition < T >.() -> Unit ): List < ConstructorResolver < T >>

Start a new constructor reflection.

#### Return

ConstructorResolver

#### Parameters

condition

the condition body.

#### See also

KavaRef.MemberScope.firstConstructor
KavaRef.MemberScope.firstConstructorOrNull